Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | Related Pages

# SoListenerOrientationElement Class Reference
[Elements (mostly for internal use)]

`#include <Inventor/elements/SoListenerOrientationElement.h>`

Inheritance diagram for SoListenerOrientationElement:

List of all members.

## Detailed Description

The SoListenerOrientationElement holds the orientation of the current listener.

This orientation is set by SoListener nodes and SoCamera Nodes during audio rendering. When a SoListener is visited by the SoAudioRenderAction, it will add a new SoListenerOrientationElement to the state, holding it's orientation and with the setbylistener flag set. When a SoCamera is visited by SoAudioRenderAction, it will add a new SoListenerOrientationElement only if there are no previous elements with the setbylistener flag set.

The SoListenerOrientationElement is used when the SoVRMLSound nodes render themselves.

Be aware that this class is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Since:
  Coin 2.0

## Public Member Functions
virtual void | init (SoState *state)
virtual void | print (FILE *file) const
| Prints the contents of the element (unimplemented).
## Static Public Member Functions
void | initClass (void)
void | set (SoState *const state, SoNode *const node, const SbRotation &orientation, SbBool setbylistener)
const SbRotation & | get (SoState *const state)
| Returns the current listener orientation.
SbBool | isSetByListener (SoState *const state)
## Protected Member Functions
virtual | ~SoListenerOrientationElement ()
## Protected Attributes
SbRotation | orientation
SbBool | setbylistener

## Constructor & Destructor Documentation

SoListenerOrientationElement::~SoListenerOrientationElement | ( | void |  | ) | `[protected, virtual]`

| The destructor.

## Member Function Documentation

void SoListenerOrientationElement::initClass | ( | void |  | ) | `[static]`

| This static method initializes static data for the SoListenerOrientationElement class. Reimplemented from SoReplacedElement.

void SoListenerOrientationElement::init | ( | SoState * | state | ) | `[virtual]`

| Initializes the element to it's default value. The default value for the orientation is (0.0f, 0.0f, 1.0f, 0.0f) and the default value for the setByListener flag is FALSE. Reimplemented from SoReplacedElement.

void SoListenerOrientationElement::set | ( | SoState *const | state,
|  | SoNode *const | node,
|  | const SbRotation & | orientation,
|  | SbBool | setbylistener
| ) | `[static]`

| Sets the current listener orientation, and indicates if it was set by a SoListener node or a SoCamera node.

SbBool SoListenerOrientationElement::isSetByListener | ( | SoState *const | state | ) | `[static]`

| Returns TRUE if the orientation was set by a SoListener node, and FALSE if it was set by a SoCamera node

## Member Data Documentation

SoListenerOrientationElement::orientation`[protected]`

| The orientation of the listener. Can be set by the SoListener class or the SoCamera class.

The documentation for this class was generated from the following files:

- SoListenerOrientationElement.h
- SoListenerOrientationElement.cpp